require("shelljs/global");
const systemList = require("../system.js");
var fs = require("fs");
const { logWithSpinner, stopSpinner } = require("@vue/cli-shared-utils");
module.exports = function (args = [], type) {
  const newArg = args.length > 0 ? args : ["gdbpm"];

  if (type === undefined) {
    console.log("工程名（第一个参数）不能为空");
  } else {
    const systemGit = systemList.filter((res) => res.sysName === newArg[0]);

    fs.mkdirSync(`./${newArg[0]}`);
    setGitData(systemGit, newArg[0]);
  }
  async function setGitData(systemGit, type) {
    logWithSpinner(`正在拉取${type}的代码`);
    await exec(`git clone ${systemGit[0].gitUrl}`);
    stopSpinner();
    cd(`./${type}`);
    logWithSpinner(`正在安装依赖包，过程需要时间，请耐心等待。。`);
    await exec(`cnpm i`);
    stopSpinner();
    logWithSpinner(`正在拉取子系统`);
    await exec(`npm run pullGit wfmng system wfruntime wfstatic`);
    stopSpinner();
    logWithSpinner(`开始运行`);
    await exec(`npm run dev`);
    stopSpinner();
  }
};
