require("shelljs/global");
var path = require("path");
var fs = require("fs");
const rm = require("rimraf");
require("colors-log")();
var readlineSync = require("readline-sync");
let bussnisPathList = [];
const bussnissFileList = [
  "build",
  "exportIcon",
  "index",
  "inLineCodeConfig",
  "shell",
  "sys-git",
];
for (let i = 0; i < bussnissFileList.length; i++) {
  bussnisPathList.push(
    path.join(__dirname, `../updateFile/${bussnissFileList[i]}.js`)
  );
}
module.exports = async function (args = [], type) {
  const newArg = args.length > 0 ? args : ["1.1.1.RELEASE"];
  // 描述
  const uodateType = descMethod(newArg);
  if (uodateType) {
    const isWfStaticDir = fs.existsSync(`./static/wfstatic`);
    const isWfMngDir = fs.existsSync(`./static/wfmng`);
    const isLibsDir = fs.existsSync(`./static/wfstatic/libs`);
    console.log(isWfStaticDir, "isWfStaticDirisWfStaticDir");
    console.log(isLibsDir, "isLibsDirisLibsDir");
    console.log(isWfMngDir, "isWfMngDirisWfMngDir");
    // 更新业务文件
    await updateBussniss();
    // 如果有这个文件夹,直接切分支
    if (isWfStaticDir && !isLibsDir) {
      await exec(`npm run pullGit wfstatic`);
    } else if (!isWfStaticDir) {
      fs.mkdirSync(`./static/wfstatic`);
      await exec(`npm run pullGit wfstatic`);
    }
    if (isWfMngDir) {
      rm.sync("./static/wfmng");
    }

    cheoutSys(newArg);
  }

  async function cheoutSys(newArg) {
    const systemPathList = [
      "./src/projects/system",
      "./src/projects/wfmng",
      "./src/wfruntime",
      "./static/wfstatic",
    ];
    for (let i = 0; i < systemPathList.length; i++) {
      cd(`${systemPathList[i]}`);
      if (systemPathList[i] === "./src/projects/system") {
        exec(`git tag -d 4.0.2.RELEASE`);
      }
      await exec(`git remote update origin --prune`);
      await exec(`git checkout ${newArg[0]}`);
      if (
        systemPathList[i].includes("system") ||
        systemPathList[i].includes("wfmng")
      ) {
        cd(`../../../`);
      } else {
        cd(`../../`);
      }
    }
    exec(`git add ./`);
    await exec(`git commit -m '升级版本至${newArg[0]}'`);
    await exec(`git pull`);
    await exec(`git push`);
  }
  async function updateBussniss() {
    const toPathList = [
      "./build/build.js",
      "./src/modularize/iconfont-common/exportIcon.js",
      "./src/modularize/iconfont-common/index.js",
      "./src/modularize/config/inlineConfig/inLineCodeConfig.js",
      "./coder/shell.js",
      "./coder/sys-git.js",
    ];
    for (let i = 0; i < bussnisPathList.length; i++) {
      if (fs.existsSync(toPathList[i])) {
        rm.sync(toPathList[i]);
        fs.copyFileSync(bussnisPathList[i], toPathList[i]);
      }
    }
  }
};

function descMethod(newArg) {
  let isUpdate = true;
  exec(`chcp 65001`);
  console.color(``, {
    title: `版本${newArg[0]}更新如下：`,
    color: "red",
  });
  console.color(
    "  1、优化在线表单，支持拖动添加组件，支持vue形式的组件，支持自定义功能，支持自定义组件，支持级联、计算等功能",
    {
      color: "blue",
    }
  );
  console.color("  2、全新的在线表单样式修改，右边属性修改即可看到效果", {
    color: "blue",
  });
  console.color("  3、新增vue定制表单", {
    color: "blue",
  });
  console.color(
    "  4、vue定制表单在该版本可以支持定制列表并生成菜单，暂不支持定制表单",
    {
      color: "blue",
    }
  );
  console.color("  5、vue定制提供过重组件选择，支持线上代码，自定义组件", {
    color: "blue",
  });
  console.color("  6、vue定制同时支持本地组件的引用", {
    color: "blue",
  });
  console.color(``, {
    title: `注意事项：`,
    color: "red",
  });
  console.color("  1、更新前请确保没有存在可提交的文件", {
    color: "blue",
  });
  console.color(
    "  2、更新后如果表单不出现，报找不到/static/wfmng的这个路径的错，是数据问题，到控件管理=》详情页组件=》将/static/wfmng改成/static/wfstatic即可",
    {
      color: "blue",
    }
  );
  var tagType = readlineSync.question("是否进行更新 (y/n):");

  if (tagType === "n") {
    isUpdate = false;
  }
  return isUpdate;
}
